#ifndef DEBUGBENCH_H
#define DEBUGBENCH_H

#include <map>
#include <string>

class DebugBench {

public:
	void BenchMoveGeneration(map<string,string> & simplePositionsDB);
	//void BenchPositionsDB(map<string,string> & positionsDB);
	void BenchSetFenPerfs();
	void BenchGetLegalMovesPerfs();
	void BenchTranspositionTable(map<string,string> & simplePositionsDB);
	void initSimplePositionsDB(map<string,string> & simplePositionsDB);
	void initMediumPositionsDB(map<string,string> & mediumPositionsDB);
	void initComplexPositionsDB(map<string,string> & complexPositionsDB);
	void LaunchBench();
	double Mean(vector<double> results);
};



#endif
