#ifndef WATCH_H
#define WATCH_H

#include "Platform.h"

class Watch
{
public:
	Watch(void);
	void Start();
	void Stop();
	void Reset();
	uint64_t GetElapsedTime();
	uint64_t GetRandomSeed();
private:
	sys_time_t _startTime;
	sys_time_t _stopTime;
	bool _isRunning;
};

#endif
